recipes
Status Page Monitor

Recipe: Status Page Monitor

Monitor AWS or any status page for service incidents.

curl -X POST https://api.verid.dev/v1/monitors \
  -H "Authorization: Bearer $VERID_API_KEY" \
  -d '{
    "name": "AWS Status Monitor",
    "url": "https://health.aws.amazon.com/health/status",
    "schedule_interval_seconds": 300,
    "extract_config": {
      "method": "css",
      "fields": {
        "incidents": ".current-incidents li, [data-test=incident-title]",
        "overall_status": ".overall-status"
      }
    },
    "diff_predicate": {
      "type": "any_field_changes"
    },
    "deliveries": [
      { "type": "slack", "webhookUrl": "https://hooks.slack.com/services/..." },
      { "type": "email", "to":         "oncall@yourcompany.com" }
    ]
  }'

Tip: On the Scale plan (5-minute minimum interval), you can catch incidents within minutes. The free plan is limited to daily checks.

Or: use the template

curl -X POST https://api.verid.dev/v1/monitors/from-template/aws-status-page \
  -H "Authorization: Bearer $VERID_API_KEY" \
  -d '{
    "name": "AWS Status",
    "deliveries": [
      { "type": "slack", "webhookUrl": "https://hooks.slack.com/services/..." }
    ]
  }'